Method: courses.get

Returns a course.

This method returns the following error codes:

  • PERMISSION_DENIED if the requesting user is not permitted to access the requested course or for access errors.
  • NOT_FOUND if no course exists with the requested ID.

HTTP request

GET https://classroom.googleapis.com/v1/courses/{id}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
id

string

Identifier of the course to return. This identifier can be either the Classroom-assigned identifier or an alias.

Query parameters

Parameters
previewVersion

enum (PreviewVersion)

Optional. The preview version of the API. This must be set in order to access new API capabilities made available to developers in the Preview Program.

Request body

The request body must be empty.

Response body

If successful, the response body contains an instance of Course.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/classroom.courses
  • https://www.googleapis.com/auth/classroom.courses.readonly

For more information, see the Authorization guide.